[Previous] [Next] [Contents]

## `PART::Part2Diagonal` -- diagonals of the given partition

#### Call(s)

`PART::Part2Diagonal(part)`

#### Parameters

`part` | - | a partition

#### Introduction

The `PART::Part2Diagonal` function gives a list composed of a list `v` and an integer `pos`; `v` is the list of lengths of the successive diagonals of the diagram of `part`; `pos` gives the position of the main diagonal in `v`.

#### Example 1

    >> muEC::PART::Part2Diagonal( [6,4,4,2,1] );

                        [[1, 1, 2, 2, 3, 3, 2, 1, 1, 1], 5]

#### Related Functions

`Diagonal2Part`, `Part2Border`, `Part2Conjugate`, `Part2Mat`, `TYP::IsDiagonal`, `TYP::IsPart`

[Previous] [Next] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package